Commit a9c9f70c authored by rniwa@webkit.org's avatar rniwa@webkit.org
Browse files

Remove WebCore.gyp/gypi

https://bugs.webkit.org/show_bug.cgi?id=114239

Reviewed by Benjamin Poulain.

* WebCore.gyp: Removed.
* WebCore.gyp/.gitignore: Removed.
* WebCore.gyp/ConvertFileToHeaderWithCharacterArray.gypi: Removed.
* WebCore.gyp/MakeNames.gypi: Removed.
* WebCore.gyp/WebCore.gyp: Removed.
* WebCore.gyp/mac: Removed.
* WebCore.gyp/mac/adjust_visibility.sh: Removed.
* WebCore.gyp/mac/check_objc_rename.sh: Removed.
* WebCore.gyp/scripts: Removed.
* WebCore.gyp/scripts/action_csspropertynames.py: Removed.
* WebCore.gyp/scripts/action_cssvaluekeywords.py: Removed.
* WebCore.gyp/scripts/action_derivedsourcesallinone.py: Removed.
* WebCore.gyp/scripts/action_makenames.py: Removed.
* WebCore.gyp/scripts/action_useragentstylesheets.py: Removed.
* WebCore.gyp/scripts/rule_bison.py: Removed.
* WebCore.gyp/scripts/supplemental_idl_files.py: Removed.
* WebCore.gypi: Removed.


git-svn-id: http://svn.webkit.org/repository/webkit/trunk@147987 268f45cc-cd09-0410-ab3c-d52691b4dbfc
parent d39ebd88
2013-04-08 Ryosuke Niwa <rniwa@webkit.org>
Remove WebCore.gyp/gypi
https://bugs.webkit.org/show_bug.cgi?id=114239
Reviewed by Benjamin Poulain.
* WebCore.gyp: Removed.
* WebCore.gyp/.gitignore: Removed.
* WebCore.gyp/ConvertFileToHeaderWithCharacterArray.gypi: Removed.
* WebCore.gyp/MakeNames.gypi: Removed.
* WebCore.gyp/WebCore.gyp: Removed.
* WebCore.gyp/mac: Removed.
* WebCore.gyp/mac/adjust_visibility.sh: Removed.
* WebCore.gyp/mac/check_objc_rename.sh: Removed.
* WebCore.gyp/scripts: Removed.
* WebCore.gyp/scripts/action_csspropertynames.py: Removed.
* WebCore.gyp/scripts/action_cssvaluekeywords.py: Removed.
* WebCore.gyp/scripts/action_derivedsourcesallinone.py: Removed.
* WebCore.gyp/scripts/action_makenames.py: Removed.
* WebCore.gyp/scripts/action_useragentstylesheets.py: Removed.
* WebCore.gyp/scripts/rule_bison.py: Removed.
* WebCore.gyp/scripts/supplemental_idl_files.py: Removed.
* WebCore.gypi: Removed.
2013-04-08 Mihai Maerean <mmaerean@adobe.com>
 
Rollout r147756: performance regression
*.Makefile
*.mk
*.rules
*.sln
*.tmp
*.vcproj*
*.vcxproj*
WebCore.xcodeproj
webcore_bindings_sources.props
webcore_bindings_sources.targets
webcore_bindings_sources.xml
#
# Copyright (C) 2013 Igalia S.L.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
# * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# To use this, create a gyp target with the following form:
# {
# 'target_name': 'GenerateInjectedScriptSource',
# 'type': 'none',
# 'variables': {
# 'input_file_path': '../inspector/InjectedScriptSource.js'',
# 'output_file_path': '<(SHARED_INTERMEDIATE_DIR)/WebCore/InjectedScriptSource.h',
# 'character_array_name': 'InjectedScriptSource_js',
# },
# 'includes': [ 'ConvertFileToHeaderWithCharacterArray.gypi' ],
# },
{
'actions': [
{
'action_name': 'ConvertFileToHeaderWithCharacterArray',
'inputs': [
'<(WebCore)/inspector/xxd.pl',
'<(input_file_path)',
],
'outputs': [ '<@(output_file_path)', ],
'action': [
'<(PERL)',
'<(WebCore)/inspector/xxd.pl',
'<(character_array_name)',
'<(input_file_path)',
'<@(_outputs)'
],
'message': 'Generating <(output_file_path) from <(input_file_path)',
},
],
# Since this target generates header files, it needs to be a hard dependency.
'hard_dependency': 1,
}
#
# Copyright (C) 2013 Igalia S.L.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
# * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# To use this, create a gyp target with the following form:
#{
# 'target_name': 'HTMLNames',
# 'type': 'none',
# 'variables': {
# 'make_names_inputs': [
# '<(WebCore)/html/HTMLTagNames.in',
# '<(WebCore)/html/HTMLAttributeNames.in',
# ],
# 'make_names_outputs': [
# '<(SHARED_INTERMEDIATE_DIR)/WebCore/HTMLNames.cpp',
# '<(SHARED_INTERMEDIATE_DIR)/WebCore/HTMLNames.h',
# '<(SHARED_INTERMEDIATE_DIR)/WebCore/HTMLElementFactory.cpp',
# '<(SHARED_INTERMEDIATE_DIR)/WebCore/bindings/JSHTMLElementWrapperFactory.cpp',
# '<(SHARED_INTERMEDIATE_DIR)/WebCore/bindings/JSHTMLElementWrapperFactory.h',
# ],
# 'make_names_extra_arguments': [ '--factory', '--wrapperFactory' ],
# },
# 'includes': [ 'MakeNames.gypi' ],
#},
{
'actions': [
{
'action_name': 'GenerateNames',
'inputs': [
'<(WebCore)/dom/make_names.pl',
'<@(make_names_inputs)',
],
'outputs': [ '<@(make_names_outputs)', ],
'action': [
'<(PYTHON)',
'scripts/action_makenames.py',
'<@(_outputs)',
'--',
'<@(_inputs)',
'--',
'--extraDefines', '<(feature_defines)',
'<@(make_names_extra_arguments)',
],
},
],
# Since this target generates header files, it needs to be a hard dependency.
'hard_dependency': 1,
}
This diff is collapsed.
#!/bin/sh
#
# Copyright (C) 2009 Google Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
# * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# usage: adjust_visibility.sh INPUT OUTPUT WORK_DIR
#
# Transforms a static library at INPUT by marking all of its symbols
# private_extern. The output is placed at OUTPUT. WORK_DIR is used as a
# scratch directory, which need not exist before this script is invoked,
# and which will be left behind when the script exits.
set -e
if [ $# -ne 3 ] ; then
echo "usage: ${0} INPUT OUTPUT WORK_DIR" >& 2
exit 1
fi
INPUT="${1}"
OUTPUT="${2}"
WORK_DIR="${3}"
# Start with a clean slate.
rm -f "${OUTPUT}"
rm -rf "${WORK_DIR}"
mkdir -p "${WORK_DIR}"
# ar doesn't operate on fat files. Figure out what architectures are
# involved.
ARCHS=$(lipo -info "${INPUT}" | sed -Ene 's/^.* are: (.+)/\1/p')
if [ -z "${ARCHS}" ] ; then
ARCHS=self
fi
OUTPUT_NAME="output.a"
for ARCH in ${ARCHS} ; do
if [ "${ARCH}" = "ppc" -o "${ARCH}" = "ppc64" ] ; then
echo "Please |lipo -remove ppc -remove ppc64| from ${INPUT}."
echo "Xcode 4.3's ld can no longer relink ppc files."
exit 1
fi
# Get a thin version of fat input by running lipo. If the input is already
# thin, just copy it into place. The extra copy isn't strictly necessary
# but it simplifies the script.
ARCH_DIR="${WORK_DIR}/${ARCH}"
mkdir -p "${ARCH_DIR}"
INPUT_NAME=input.a
ARCH_INPUT="${ARCH_DIR}/${INPUT_NAME}"
if [ "${ARCHS}" = "self" ] ; then
cp "${INPUT}" "${ARCH_INPUT}"
else
lipo -thin "${ARCH}" "${INPUT}" -output "${ARCH_INPUT}"
fi
# Change directories to extract the archive to ensure correct pathnames.
(cd "${ARCH_DIR}" && ar -x "${INPUT_NAME}")
# libWebKitSystemInterfaceLeopard.a's cuDbUtils.o references a few symbols
# that are not defined in any framework in OS X 10.5. If it's linked into a
# libwebkit.dylib with -Wl,-all_load, linking to libwebkit.dylib will result
# in these unresolved symbols:
# __ZN8Security12KeychainCore6Schema22X509CrlSchemaIndexListE$non_lazy_ptr
# __ZN8Security12KeychainCore6Schema23X509CrlSchemaIndexCountE$non_lazy_ptr
# __ZN8Security12KeychainCore6Schema26X509CrlSchemaAttributeListE$non_lazy_ptr
# __ZN8Security12KeychainCore6Schema27X509CrlSchemaAttributeCountE$non_lazy_ptr
# Since nothing in cuDbUtils.o is needed, just remove it.
rm "${ARCH_DIR}"/cuDbUtils.o
# Use ld -r to relink each object that was in the archive. Providing an
# empty -exported_symbols_list will transform all symbols to private_extern;
# these symbols are retained with -keep_private_externs.
for OBJECT in "${ARCH_DIR}/"*.o ; do
NEW_OBJECT="${OBJECT}.new"
ld -o "${NEW_OBJECT}" -r "${OBJECT}" \
-exported_symbols_list /dev/null -keep_private_externs
mv "${NEW_OBJECT}" "${OBJECT}"
done
# Build an architecture-specific archive from the modified object files.
ARCH_OUTPUT="${ARCH_DIR}/${OUTPUT_NAME}"
(cd "${ARCH_DIR}" && ar -rc "${OUTPUT_NAME}" *.o)
ranlib "${ARCH_OUTPUT}"
# Toss the object files out now that they're in the archive.
rm -f "${ARCH_DIR}/"*.o
done
# Create a fat archive from the architecture-specific archives if needed.
# If the input was thin, leave the output thin by copying the only output
# archive to the destination.
if [ "${ARCHS}" = "self" ] ; then
cp "${WORK_DIR}/self/${OUTPUT_NAME}" "${OUTPUT}"
else
lipo -create -output "${OUTPUT}" "${WORK_DIR}/"*"/${OUTPUT_NAME}"
fi
#!/bin/bash
#
# Copyright (C) 2011 Google Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
# * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# This script checks a WebCore static library for potential Objective-C
# class name collisions with the system's copy of the WebCore framework.
# See the postbuild action that calls it from ../WebCore.gyp for details.
set -e
set -o pipefail
if [[ $# -ne 2 ]]; then
echo "usage: ${0} class_whitelist_pattern category_whitelist_pattern" >& 2
exit 1
fi
lib="${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}"
nm_pattern='[atsATS] ([+-]\[|\.objc_class_name_)'
class_whitelist_pattern="${1}"
category_whitelist_pattern="${2}"
# Send nm's stderr in the pipeline to /dev/null to avoid spewing
# "nm: no name list" messages. This means that if the pipelined nm fails, there
# won't be any output, so if the entire assignment fails, run nm again to get
# some output.
violators=$(nm -p "${lib}" 2> /dev/null | \
(grep -E "${nm_pattern}" || true) | \
(grep -Ev "${nm_pattern}(${class_whitelist_pattern})" || true) | \
(grep -Ev "\((${category_whitelist_pattern})\)" || true)) || nm -p "${lib}"
if [[ -z "${violators}" ]]; then
# An empty list means that everything's clean.
exit 0
fi
cat << __EOF__ >&2
These Objective-C symbols may clash with those provided by the system's own
WebCore framework:
${violators}
These symbols were found in:
${lib}
This should be corrected by adding the appropriate definitions to
$(dirname ${0})/../WebCore.gyp
or by updating the whitelist in
${0}
__EOF__
exit 1
#!/usr/bin/python
#
# Copyright (C) 2009 Google Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
# * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# action_csspropertynames.py is a harness script to connect actions sections of
# gyp-based builds to makeprop.pl.
#
# usage: action_csspropertynames.py OUTPUTS -- [--defines ENABLE_FLAG1 ENABLE_FLAG2 ...] -- INPUTS
#
# Exactly two outputs must be specified: a path to each of CSSPropertyNames.cpp
# and CSSPropertyNames.h.
#
# Multiple inputs may be specified. One input must have a basename of
# makeprop.pl; this is taken as the path to makeprop.pl. All other inputs are
# paths to .in files that are used as input to makeprop.pl; at least one,
# CSSPropertyNames.in, is required.
import os
import posixpath
import shlex
import shutil
import subprocess
import sys
def SplitArgsIntoSections(args):
sections = []
while len(args) > 0:
if not '--' in args:
# If there is no '--' left, everything remaining is an entire section.
dashes = len(args)
else:
dashes = args.index('--')
sections.append(args[:dashes])
# Next time through the loop, look at everything after this '--'.
if dashes + 1 == len(args):
# If the '--' is at the end of the list, we won't come back through the
# loop again. Add an empty section now corresponding to the nothingness
# following the final '--'.
args = []
sections.append(args)
else:
args = args[dashes + 1:]
return sections
def SplitDefines(options):
# The defines come in as one flat string. Split it up into distinct arguments.
if '--defines' in options:
definesIndex = options.index('--defines')
if definesIndex + 1 < len(options):
splitOptions = shlex.split(options[definesIndex + 1])
if splitOptions:
options[definesIndex + 1] = ' '.join(splitOptions)
def main(args):
outputs, options, inputs = SplitArgsIntoSections(args[1:])
SplitDefines(options)
# Make all output pathnames absolute so that they can be accessed after
# changing directory.
for index in xrange(0, len(outputs)):
outputs[index] = os.path.abspath(outputs[index])
outputDir = os.path.dirname(outputs[0])
# Look at the inputs and figure out which one is makeprop.pl and which are
# inputs to that script.
makepropInput = None
inFiles = []
for input in inputs:
# Make input pathnames absolute so they can be accessed after changing
# directory. On Windows, convert \ to / for inputs to the perl script to
# work around the intermix of activepython + cygwin perl.
inputAbs = os.path.abspath(input)
inputAbsPosix = inputAbs.replace(os.path.sep, posixpath.sep)
inputBasename = os.path.basename(input)
if inputBasename == 'makeprop.pl':
assert makepropInput == None
makepropInput = inputAbs
elif inputBasename.endswith('.in'):
inFiles.append(inputAbsPosix)
else:
assert False
assert makepropInput != None
assert len(inFiles) >= 1
# Change to the output directory because makeprop.pl puts output in its
# working directory.
os.chdir(outputDir)
# Merge all inFiles into a single file whose name will be the same as the
# first listed inFile, but in the output directory.
mergedPath = os.path.basename(inFiles[0])
merged = open(mergedPath, 'wb') # 'wb' to get \n only on windows
# Concatenate all the input files.
for inFilePath in inFiles:
inFile = open(inFilePath)
shutil.copyfileobj(inFile, merged)
inFile.close()
merged.close()
# scriptsPath is a Perl include directory, located relative to
# makepropInput.
scriptsPath = os.path.normpath(
os.path.join(os.path.dirname(makepropInput), os.pardir, 'bindings', 'scripts'))
# Build up the command.
command = ['perl', '-I', scriptsPath, makepropInput]
command.extend(options)
# Do it. checkCall is new in 2.5, so simulate its behavior with call and
# assert.
returnCode = subprocess.call(command)
assert returnCode == 0
# Don't leave behind the merged file or the .gperf file created by
# makeprop.
(root, ext) = os.path.splitext(mergedPath)
gperfPath = root + '.gperf'
os.unlink(gperfPath)
os.unlink(mergedPath)
# Go through the outputs. Any output that belongs in a different directory
# is moved. Do a copy and delete instead of rename for maximum portability.
# Note that all paths used in this section are still absolute.
for output in outputs:
thisOutputDir = os.path.dirname(output)
if thisOutputDir != outputDir:
outputBasename = os.path.basename(output)
src = os.path.join(outputDir, outputBasename)
dst = os.path.join(thisOutputDir, outputBasename)
shutil.copyfile(src, dst)
os.unlink(src)
return returnCode
if __name__ == '__main__':
sys.exit(main(sys.argv))
#!/usr/bin/python
#
# Copyright (C) 2009 Google Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
# * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Copyright (c) 2009 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# action_cssvaluekeywords.py is a harness script to connect actions sections of
# gyp-based builds to makevalues.pl.